﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11.8
@EndOfDesignText@
Sub Class_Globals 
	Private lGdx As LibGDX
	Public Font(9) As lgBitmapFont
	Public Text(9) As String
	Public FontInCache As lgBitmapFontCache
End Sub

Public Sub Initialize(senderLGdx As LibGDX)
	lGdx = senderLGdx
End Sub

public Sub initFonts
	'Initializes the fonts and texts
	Font(0).Initialize
	Font(0).Scale(Font(0).ComputeScaleForPixelHeight(40dip))
	Text(0) = "Rescaled font with a Nearest filter."
	Font(1).Initialize
	Font(1).Scale(Font(1).ComputeScaleForPixelHeight(40dip))
	Font(1).SetTextureFilter(Font(1).FILTER_Linear, Font(1).FILTER_Linear)
	Text(1) = "Rescaled font with a Linear filter."
	For i = 2 To Font.Length - 1
		Font(i).Initialize
		Font(i).Scale(Density)
		Font(i).SetTextureFilter(Font(i).FILTER_Linear, Font(i).FILTER_Linear)
	Next
	Font(2).MarkupEnabled = True
	Text(2) = "This is an example of [YELLOW]BitmapFont[]. 0123&~#'{(-|$_\Îµ?!)} Width="
	Text(2) = Text(2) & Round(Font(2).GetBounds(Text(2)).Width) & " pixels"
	Font(3).MarkupEnabled = True
	Text(3) = "This is an example of [#55DD33]BitmapFont[]. 0123&~#'{(-|$_\Îµ?!)} Height="
	Text(3) = Text(3) & Round(Font(3).GetBounds(Text(3)).Height) & " pixels"
	Font(4).MarkupEnabled = True
	Dim MyColors As lgColor
	MyColors.SetNameForColor("My_RED", MyColors.setRGBA(1, 0.3, 0.3, 1))
	Log(MyColors.GetColorByName("My_RED")) 'Should display ff4c4cff in the Logs window
	Text(4) = "This is an example of [My_RED]BitmapFont[]. 0123&~#'{(-|$_\Îµ?!)}"
	Font(5).Color = MyColors.CYAN
	Text(5) = "This is an example of BitmapFont. 0123&~#'{(-|$_\Îµ?!)}"
	Text(6) = "This is a centered line."
	Text(7) = "The lines of this text are wrapped and right-aligned."
	FontInCache.Initialize(Font(2))
	FontInCache.SetText("This is a [ORANGE]static text[] in cache.", 0, Font(2).LineHeight)

	'Generates a bitmap font from liquidcrystal.otf with a border and a shadow
	Dim Param As lgFontGeneratorParameters
	Param.Size = 20 * Density
	Param.Characters = "With BordeanSw"
	Param.BorderWidth = 2dip
	Param.BorderColor = MyColors.RED
	Param.BorderStraight = False
	Param.Color = MyColors.ORANGE
	Param.ShadowColor = MyColors.GRAY
	Param.ShadowOffsetX = 4dip
	Param.ShadowOffsetY = 4dip
	Dim FG As lgFontGenerator
	Font(8) = FG.CreateFontWithParam(lGdx.Files.internal("liquidcrystal.otf"), Param)
	Text(8) = "With Border and Shadow"
End Sub


